:root {
  --bg-primary: #fff5f5;
  --border: #c2255c;
}

.navbar-custom {
  background-color: var(--bg-primary) !important;
  border-bottom: 2px solid var(--border) !important;
  border-bottom-left-radius: 15px !important;
  border-bottom-right-radius: 15px !important;
  box-shadow: 0 4px 10px rgba(194, 37, 92, 0.3) !important;
  overflow: hidden; /* Ensures child elements don't spill over corners */
}

.ayurvati-footer {
  background-color: var(--bg-primary) !important;
  border-top: 2px solid var(--border) !important;
  border-top-left-radius: 15px !important;
  border-top-right-radius: 15px !important;
}

.ayurvati-bg-primary {
  color: var(--bg-primary) !important;
}

.text-primary {
  color: var(--border) !important;
}

.text-secondary {
  color: #5c940d !important;
}

/* Truncate after 5 lines */
.text-truncate-5 {
  display: -webkit-box;
  -webkit-line-clamp: 5; /* Change this number to 2 or 4 as needed */
  -line-clamp: 5;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}

.nav-link {
  color: var(--border) !important;
  transition: all 0.3s ease; /* Smooth transition */
}

.nav-link:hover {
  color: var(--border) !important;
  text-shadow: 0 0 8px rgba(26, 56, 56, 0.6);
}

.contact-row {
  font-size: 1.2rem;
  color: #5c940d;
}

.blinking-icon {
  color: #2b8a3e;
  margin-right: 5px;
  animation: slow-blink 2s infinite;
}

@keyframes slow-blink {
  0% {
    opacity: 1;
  }
  50% {
    opacity: 0.3;
  }
  100% {
    opacity: 1;
  }
}

.border-custom {
  border: 2px solid var(--border) !important;
}

.card-img-fixed {
  height: 370px;
  object-fit: contain;
  width: 100%;
}

.custom-card {
  height: 100%;
}
